#!/usr/bin/env sampy
import os
import sys
import traceback
import string

lauriRoot = "/home/lauri/webdevl/d0db-dev/html"
try:
    docRoot = os.environ["DOCUMENT_ROOT"]
except KeyError:
    docRoot = ""

if ( docRoot == lauriRoot ):
    os.environ["SAM_MIS_PYAPI_DIR"] = "/home/lauri/vcvs/sam_mis_pyapi"
    sys.path.insert(0, "/home/lauri/vcvs/sam_mis_pyapi/src")
    sys.path.insert(0, "/home/lauri/vcvs/sam_mis_pyapi/lib")
    sys.path.insert(0, "/home/lauri/vcvs/sam_common_pylib")
    sys.path.insert(0, "/home/lauri/vcvs/sam_idl_pylib")

if __name__ == "__main__":

    print 'Content-type: text/html'     # html is following
    print ''                            # blank line, end of headers

    print '<html><head><title>netstat</title></head>'
    print '<body BGCOLOR="#FFFF99" TEXT="#000000" LINK="#0000FF" VLINK="#800080" ALINK="#FF0000">'
    print '<pre>'
    try:
        import NetStatHandler
        NetStatHandler.printSnapshot('fnal-farm:d0bbin.fnal.gov,fnd0*.fnal.gov;clued0:*clued0.fnal.gov;cab:d0cs*.fnal.gov')
    except:
        print 'UNHANDLED EXCEPTION!! %s %s' % (sys.exc_info()[0], sys.exc_info()[1])
        for line in traceback.format_tb(sys.exc_info()[2]):
            print string.strip(line)
    print '</pre>'
    print '</body></html>'


