#!/usr/bin/env python
#
# sample config manager
#
# this doesn't do much of anything
#
from SamCpConfigManager import SamCpDefaultConfigManager

class my_config_manager(SamCpDefaultConfigManager):
    def __init__(self, *args):
        SamCpDefaultConfigManager.__init__(self, *args)
        print("Using my_config_manager instead of the default")

    def getKnownSamCpProtocolNames(self):
        theList = SamCpDefaultConfigManager.getKnownSamCpProtocolNames(self)
        print("the known list is %s" % str(theList))
        return theList

    def getLocallyAvailableSamCpProtocolNames(self):
        theList = SamCpDefaultConfigManager.getLocallyAvailableSamCpProtocolNames(self)
        print("the available list is %s" % str(theList))
        return theList

    def getPreferredSamCpProtocolName(self):
        theOne = SamCpDefaultConfigManager.getPreferredSamCpProtocolName(self)
        print("the one is %s" % theOne)
        return theOne

    def getProtocolClass(self, protocolName):
        theOne = self.getPreferredSamCpProtocolName()
        theClass = SamCpDefaultConfigManager.getProtocolClass(self, theOne)
        print("the class is %s" % str(theClass))
        return theClass
