#############################################################################
# Project   : JIM
# Package : xml_common
# $Id: SaxParser.py,v 1.1.1.1 2003/01/31 21:23:24 abaranov Exp $
#
# This work is part of a development project, called JIM, which consists of a
# number of coordinated packages each named jim_xxxx .
#
# Notice of authorship, copyright status,  and terms and conditions, should
# the software eventually become available for use outside Fermilab, can be
# found in the README and LICENCE files in the top level directory of the main
# sam package.
#############################################################################

from xml.sax import make_parser
from xml.sax.handler import feature_namespaces

class SaxParser:

   _parser = None

   def getSaxParser(self):
        
        if SaxParser._parser: 
          return SaxParser._parser

        SaxParser._parser = make_parser()
        SaxParser._parser.setFeature(feature_namespaces, 0)

        return SaxParser._parser

   def parse(self,contenthandler,fd):
       self.getSaxParser().setContentHandler(contenthandler)
       self.getSaxParser().parse(fd)
