#!/usr/bin/env sampy

import sys

def main_(opts,args):
    argDict = {}

    for  o, a in opts:
        argDict[o[2:]] = a

    #if ( argDict.has_key("station") and argDict.has_key("mergedFiles") and argDict.has_key("group") and argDict.has_key(recocertStorageLocation) and argDict.has_key('appversion')):
    if (argDict.has_key("station") and argDict.has_key("mergedFiles") and argDict.has_key("group") and argDict.has_key('appversion')):
        from jim_merge.RecocertImplementation import RecocertImplementation
        RecocertImplementation(argDict)
    else:
        usage()

def usage():
    print >>sys.stderr, "--station=<station> --timeout=<timeout in sec> --group=<group> --jobFilesDatasetId=<jbDsId> --jobFilesDatasetName=<jbDsName> --mergedFiles=<Fullpath to the merged file> --appversion=<version> --jobNumber=<jobNumber> --debugLevel=<level> --durableLocation=<durable location> --standAloneRun=<0|1> --facilityname=<facility>"
    sys.exit(1)
# usage

def main(args):
    import getopt
    try:
        opts, args = getopt.getopt(args, "",
                                   ["station=", "group=", "appversion=", "timeout=" , "jobFilesDatasetId=" , "jobFilesDatasetName=", "mergedFiles=", "jobNumber=", "debugLevel=", "durableLocation=", "standAloneRun=","facilityname="])
        main_(opts,args)
    except getopt.GetoptError,ex:
        print str(ex)
        usage()
        sys.exit(2)
# main


if __name__ == "__main__":
    main(sys.argv[1:] )

