#!/usr/bin/env sampy
import os
import sys
import cgi
import string
import traceback

lauriRoot = "/home/lauri/webdevl/d0db-dev/html"
try:
    docRoot = os.environ["DOCUMENT_ROOT"]
except KeyError:
    docRoot = ""

if ( docRoot == lauriRoot ):
    os.environ["SAM_MIS_PYAPI_DIR"] = "/home/lauri/vcvs/sam_mis_pyapi"
    sys.path.insert(0, "/home/lauri/vcvs/sam_mis_pyapi/src")
    sys.path.insert(0, "/home/lauri/vcvs/sam_common_pylib/")


def main():
    try:
        from SamMis import samMis
        argDict = {}
        input = cgi.FieldStorage()
        if   ( input.has_key('station') ):
            argDict['station'] = input['station'].value
        elif ( input.has_key('show') ):
            argDict['show'] = input['show'].value
        elif ( input.has_key('dbserver') ):
            argDict['show'] = 'dbserver'
        elif ( input.has_key('samdbserver') ):
            argDict['show'] = 'samdbserver'
        elif ( input.has_key('sampnfsserver') ):
            argDict['show'] = 'sampnfsserver'
        elif ( input.has_key('samdimserver') ):
            argDict['show'] = 'samdimserver'

        if (input.has_key('serverListFile')):
            argDict['serverListFile'] = input['serverListFile'].value

        samMis.webPollNameservice(**argDict)
        status = 0
    except SystemExit:
        # normal for child processes, ignore them.
        pass
    except:
        print 'Content-type: text/html'     # html is following
        print ''                            # blank line, end of headers
        print '<html><head><title>nameService</title></head>'
        print '<body bgcolor="#ffff99">'
        print("<pre>")
        print("%s %s" % (sys.exc_info()[0], sys.exc_info()[1]))
        for line in traceback.format_tb(sys.exc_info()[2]):
            print("%s" % string.strip(line))
        print("</pre>")
        print("</body></html")
        status = 1

        

if ( __name__ == "__main__"):
    sys.exit(main())
